Bug 58705 - master AgentX support implementation is broken
master AgentX support implementation is broken
Product: Red Hat Linux
Classification: Retired
Component: ucd-snmp (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-01-23 10:08 EST by rm0
Modified: 2015-03-04 20:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-01-23 10:11:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
fix to AgentX master problem in ucd-snmp 4.2.1 ('backported' from 4.2.3) (622 bytes, patch)
2002-01-23 10:11 EST, rm0
no flags Details | Diff

  None (edit)
Description rm0 2002-01-23 10:08:11 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; WinNT4.0; en-US; rv:0.9.7) Gecko/20011221

Description of problem:
A upstream problem renders the master AgentX functionality
in ucd-snmp unusable (snmpd dies at start time when the "master
agentx" line is present in /etc/snmp/snmpd.conf) and was solved
after 4.2.1 the patch described in this ucd-snmp 4.2.3 ChangeLog 
entry (with references to net-snmpd bug database) should be applied:

  2001-10-04 02:21  jbpn

  * agent/snmpd.c:

    - disable stderr logging (if requested) before calling
      init_mib_modules(). This should fix the problem noted by Nigel
      Metheringham in bug #418857 whereby the AgentX master module
      prints a message to stderr which causes a SIGPIPE when the agent
      is started as a daemon.

      Also noted with extensive analysis by Ted Rule in bug #467551.

and accesible via the net-snmp ViewCVS via:

The patch in appliable is attached (can also be downloaded from

This problem affects RHL 6.2, 7 and 7.1 too. I'm submitting this 
report just in case future errata packages stay at upstream 
version 4.2.1. If they are 4.2.[23] this report is irrelevant.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start the snmpd server
   # /sbin/service snmpd start
2. Check snmpd is running with
   # /sbin/service snmpd status
   # ps aux|grep snmpd
   # lsof|grep IPv4 |grep snmp
2. Stop the snmpd service
   # /sbin/service snmpd stop
3. Edit /etc/snmp/snmpd.conf adding a line that reads
   master agentx
4. Start the snmpd server
   # /sbin/service snmpd start
5. Check snmpd is running again with
   # /sbin/service snmpd status
   service dies but subsystem locked
   # ps aux|grep snmpd
   # lsof|grep IPv4 |grep snmp

Actual Results:  (no output)

Expected Results:  snmpd should not die

Additional info:

$ rpm -q ucd-nsmp
Comment 1 rm0 2002-01-23 10:11:08 EST
Created attachment 43295 [details]
fix to AgentX master problem in ucd-snmp 4.2.1 ('backported' from 4.2.3)
Comment 2 Phil Knirsch 2002-01-23 10:13:37 EST
Thanks for reporting, but the next errata release and normal rawhide release
will be based on ucd-snmp 4.2.3 which fixes a couple of other problems.

It will take a couple more days to appear on rawhide, but should be there
sometime next week.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.